PasswordBasedKeyDerivationFunction Struct Reference

Interface for password based key derivation functions. More...

Inheritance diagram for PasswordBasedKeyDerivationFunction:

## Additional Inherited Members

Public Member Functions inherited from KeyDerivationFunction
virtual std::string | AlgorithmName () const =0
| Provides the name of this algorithm. More...
virtual size_t | MinDerivedKeyLength () const
| Determine minimum number of bytes. More...
virtual size_t | MaxDerivedKeyLength () const
| Determine maximum number of bytes. More...
virtual size_t | GetValidDerivedLength (size_t keylength) const =0
| Returns a valid key length for the derivation function. More...
virtual bool | IsValidDerivedLength (size_t keylength) const
| Returns whether keylength is a valid key length. More...
virtual size_t | DeriveKey (byte *derived, size_t derivedLen, const byte *secret, size_t secretLen, const NameValuePairs &params=g_nullNameValuePairs) const =0
| Derive a key from a seed. More...
virtual void | SetParameters (const NameValuePairs &params)
| Set or change parameters. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...

## Detailed Description

Interface for password based key derivation functions.

Since
  Crypto++ 7.0

Definition at line 1586 of file cryptlib.h.

The documentation for this struct was generated from the following file:

- cryptlib.h